BizKitHub
DocsAPI ReferenceEmailer/bff/emailer/setup-smtp
postEmailerAdmin BFF

/bff/emailer/setup-smtp

Saves SMTP server configuration and sends a test email to verify connectivity.

EmailerpostBffEmailerSetup-smtp

Parameters

JSON body

Request body

application/json
testAddressstringRequired

Email address to send a test message to.

Exampletest@example.com
hoststringRequired

SMTP server hostname.

Examplesmtp.example.com
portstringRequired

SMTP server port.

Example587
fromstringRequired

Sender email address (From header).

Examplenoreply@example.com
authUserstringRequired

SMTP authentication username.

authPasswordstringRequired

SMTP authentication password.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/emailer/setup-smtp

post
curl -X POST "https://api.bizkithub.com/bff/emailer/setup-smtp" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "testAddress": "test@example.com",
  "host": "smtp.example.com",
  "port": "587",
  "from": "noreply@example.com",
  "authUser": "example_authUser",
  "authPassword": "example_authPassword"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key